tools

## Class StatSummary

- java.lang.Object
- - tools.StatSummary

-     public class StatSummary
      extends java.lang.Object

  This class is used to model the statistics of a fix of numbers. For the statistics we choose here it is not necessary to store all the numbers - just keeping a running total of how many, the sum and the sum of the squares is sufficient (plus max and min, for max and min). This is a simpler version of StatisticalSummary that does not include statistical tests, or the Watch class.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatSummary()`
    `StatSummary(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(double... xa)`
    `void` | `add(double d)`
    `void` | `add(java.lang.Number n)`
    `void` | `add(StatSummary ss)`
    `StatSummary` | `copy()`
    `double` | `max()`
    `double` | `mean()`
    `double` | `min()`
    `int` | `n()`
    `void` | `reset()`
    `double` | `sd()`
    `double` | `stdErr()`
    `double` | `sum()`
    `double` | `sumSquareDiff()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public java.lang.String name

  - ### Constructor Detail

    - #### StatSummary

          public StatSummary()

    - #### StatSummary

          public StatSummary(java.lang.String name)

  - ### Method Detail

    - #### reset

          public final void reset()

    - #### max

          public double max()

    - #### min

          public double min()

    - #### mean

          public double mean()

    - #### sumSquareDiff

          public double sumSquareDiff()

    - #### sd

          public double sd()

    - #### n

          public int n()

    - #### stdErr

          public double stdErr()

    - #### add

          public void add(StatSummary ss)

    - #### add

          public void add(double d)

    - #### add

          public void add(java.lang.Number n)

    - #### add

          public void add(double... xa)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### sum

          public double sum()

    - #### copy

          public StatSummary copy()